petsc-3.10.5 2019-03-28
Report Typos and Errors

# PFSet

Sets the C/C++/Fortran functions to be used by the PF function

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFSet(PF pf,PetscErrorCode (*apply)(void*,PetscInt,const PetscScalar*,PetscScalar*),PetscErrorCode (*applyvec)(void*,Vec,Vec),PetscErrorCode (*view)(void*,PetscViewer),PetscErrorCode (*destroy)(void*),void*ctx)

Collective on PF

### Input Parameter

| pf | - the function context
| apply | - function to apply to an array
| applyvec | - function to apply to a Vec
| view | - function that prints information about the PF
| destroy | - function to free the private function context
| ctx | - private function context

### Keywords

PF, setting

### See Also

PFCreate(), PFDestroy(), PFSetType(), PFApply(), PFApplyVec()

### Level

beginner

### Location

src/vec/pf/interface/pf.c

### Examples

src/dm/examples/tutorials/ex4.c.html
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages